class Publication:
    def __init__(self, doi_url, title, contributors, journal, publication_date, references, citations, group):
        self.doi_url = doi_url
        self.title = title
        self.contributors = contributors
        self.journal = journal
        self.publication_date = publication_date
        if references is None:
            self.references = []
        else:
            self.references = ref(references)
        if citations is None:
            self.citations = []
        else: 
            self.citations = cit(citations)
        self.group = group


class Citation:
    def __init__(self,doi_url, title, contributors, journal, publication_date):
        self.doi_url = doi_url
        self.title = title
        self.contributors = contributors
        self.journal = journal
        self.publication_date = publication_date

class Reference:
    def __init__(self,doi_url, title, contributors, journal, publication_date):
        self.doi_url = doi_url
        self.title = title
        self.contributors = contributors
        self.journal = journal
        self.publication_date = publication_date

def input_test_func(pub_doi):
    for array in list_of_arrays:
        if pub_doi == array[0]:
            pub = Publication(array[0], array[1], array[2], array[3], array[4], array[5], array[6], array[7])
            return pub


def cit(list_doi):
    cits = []
    for doi_url in list_doi:
        for array in list_of_arrays:
            if doi_url == array[0]:
                cits.append(Citation(array[0], array[1], array[2], array[3], array[4]))
    return cits

def ref(list_doi):
    refs = []
    for doi_url in list_doi:
        for array in list_of_arrays:
            if doi_url == array[0]:
                refs.append(Citation(array[0], array[1], array[2], array[3], array[4]))
    return refs


beispiel1 = ['doi1', 'title1', ['contributor1'], 'journal1', 'date1', ['doi2'], ['doi3'], '']
beispiel2 = ['doi2', 'title2', ['contributor2'], 'journal2', 'date2', [], ['doi1'], '']
beispiel3 = ['doi3', 'title3', ['contributor3'], 'journal3', 'date3', ['doi1'], [], '']

list_of_arrays = [beispiel1, beispiel2, beispiel3]
